diff -urN Original_4.4.4_r1/frameworks/base/media/java/android/media/MediaPlayer.java AndroidSource/frameworks/base/media/java/android/media/MediaPlayer.java
--- Original_4.4.4_r1/frameworks/base/media/java/android/media/MediaPlayer.java	2016-01-29 15:12:31.439488000 +0900
+++ AndroidSource/frameworks/base/media/java/android/media/MediaPlayer.java	2016-09-26 18:37:06.839666097 +0900
@@ -2452,28 +3860,27 @@
     private OnSeekCompleteListener mOnSeekCompleteListener;
 
     /**
-     * Interface definition of a callback to be invoked when the
-     * video size is first known or updated
+     * Interface definition of a callback to be invoked when the video size is
+     * first known or updated
      */
     public interface OnVideoSizeChangedListener
     {
         /**
-         * Called to indicate the video size
-         *
-         * The video size (width and height) could be 0 if there was no video,
-         * no display surface was set, or the value was not determined yet.
-         *
-         * @param mp        the MediaPlayer associated with this callback
-         * @param width     the width of the video
-         * @param height    the height of the video
+         * Called to indicate the video size The video size (width and height)
+         * could be 0 if there was no video, no display surface was set, or the
+         * value was not determined yet.
+         * 
+         * @param mp the MediaPlayer associated with this callback
+         * @param width the width of the video
+         * @param height the height of the video
          */
         public void onVideoSizeChanged(MediaPlayer mp, int width, int height);
     }
 
     /**
-     * Register a callback to be invoked when the video size is
-     * known or updated.
-     *
+     * Register a callback to be invoked when the video size is known or
+     * updated.
+     * 
      * @param listener the callback that will be run
      */
     public void setOnVideoSizeChangedListener(OnVideoSizeChangedListener listener)
@@ -2484,25 +3891,25 @@
     private OnVideoSizeChangedListener mOnVideoSizeChangedListener;
 
     /**
-     * Interface definition of a callback to be invoked when a
-     * timed text is available for display.
+     * Interface definition of a callback to be invoked when a timed text is
+     * available for display.
      */
     public interface OnTimedTextListener
     {
         /**
          * Called to indicate an avaliable timed text
-         *
-         * @param mp             the MediaPlayer associated with this callback
-         * @param text           the timed text sample which contains the text
-         *                       needed to be displayed and the display format.
+         * 
+         * @param mp the MediaPlayer associated with this callback
+         * @param text the timed text sample which contains the text needed to
+         *            be displayed and the display format.
          */
         public void onTimedText(MediaPlayer mp, TimedText text);
     }
 
     /**
-     * Register a callback to be invoked when a timed text is available
-     * for display.
-     *
+     * Register a callback to be invoked when a timed text is available for
+     * display.
+     * 
      * @param listener the callback that will be run
      */
     public void setOnTimedTextListener(OnTimedTextListener listener)
@@ -2513,9 +3920,9 @@
     private OnTimedTextListener mOnTimedTextListener;
 
     /**
-     * Interface definition of a callback to be invoked when a
-     * track has data available.
-     *
+     * Interface definition of a callback to be invoked when a track has data
+     * available.
+     * 
      * @hide
      */
     public interface OnSubtitleDataListener
@@ -2525,9 +3932,8 @@
 
     /**
      * Register a callback to be invoked when a track has data available.
-     *
+     * 
      * @param listener the callback that will be run
-     *
      * @hide
      */
     public void setOnSubtitleDataListener(OnSubtitleDataListener listener)
@@ -2537,23 +3943,30 @@
 
     private OnSubtitleDataListener mOnSubtitleDataListener;
 
-    /* Do not change these values without updating their counterparts
-     * in include/media/mediaplayer.h!
+    /*
+     * Do not change these values without updating their counterparts in
+     * include/media/mediaplayer.h!
      */
-    /** Unspecified media player error.
+    /**
+     * Unspecified media player error.
+     * 
      * @see android.media.MediaPlayer.OnErrorListener
      */
     public static final int MEDIA_ERROR_UNKNOWN = 1;
 
-    /** Media server died. In this case, the application must release the
+    /**
+     * Media server died. In this case, the application must release the
      * MediaPlayer object and instantiate a new one.
+     * 
      * @see android.media.MediaPlayer.OnErrorListener
      */
     public static final int MEDIA_ERROR_SERVER_DIED = 100;
 
-    /** The video is streamed and its container is not valid for progressive
+    /**
+     * The video is streamed and its container is not valid for progressive
      * playback i.e the video's index (e.g moov atom) is not at the start of the
      * file.
+     * 
      * @see android.media.MediaPlayer.OnErrorListener
      */
     public static final int MEDIA_ERROR_NOT_VALID_FOR_PROGRESSIVE_PLAYBACK = 200;
@@ -2562,47 +3975,51 @@
     public static final int MEDIA_ERROR_IO = -1004;
     /** Bitstream is not conforming to the related coding standard or file spec. */
     public static final int MEDIA_ERROR_MALFORMED = -1007;
-    /** Bitstream is conforming to the related coding standard or file spec, but
-     * the media framework does not support the feature. */
+    /**
+     * Bitstream is conforming to the related coding standard or file spec, but
+     * the media framework does not support the feature.
+     */
     public static final int MEDIA_ERROR_UNSUPPORTED = -1010;
-    /** Some operation takes too long to complete, usually more than 3-5 seconds. */
+    /**
+     * Some operation takes too long to complete, usually more than 3-5 seconds.
+     */
     public static final int MEDIA_ERROR_TIMED_OUT = -110;
 
     /**
-     * Interface definition of a callback to be invoked when there
-     * has been an error during an asynchronous operation (other errors
-     * will throw exceptions at method call time).
+     * Interface definition of a callback to be invoked when there has been an
+     * error during an asynchronous operation (other errors will throw
+     * exceptions at method call time).
      */
     public interface OnErrorListener
     {
         /**
          * Called to indicate an error.
-         *
-         * @param mp      the MediaPlayer the error pertains to
-         * @param what    the type of error that has occurred:
-         * <ul>
-         * <li>{@link #MEDIA_ERROR_UNKNOWN}
-         * <li>{@link #MEDIA_ERROR_SERVER_DIED}
-         * </ul>
+         * 
+         * @param mp the MediaPlayer the error pertains to
+         * @param what the type of error that has occurred:
+         *            <ul>
+         *            <li>{@link #MEDIA_ERROR_UNKNOWN}
+         *            <li>{@link #MEDIA_ERROR_SERVER_DIED}
+         *            </ul>
          * @param extra an extra code, specific to the error. Typically
-         * implementation dependent.
-         * <ul>
-         * <li>{@link #MEDIA_ERROR_IO}
-         * <li>{@link #MEDIA_ERROR_MALFORMED}
-         * <li>{@link #MEDIA_ERROR_UNSUPPORTED}
-         * <li>{@link #MEDIA_ERROR_TIMED_OUT}
-         * </ul>
+         *            implementation dependent.
+         *            <ul>
+         *            <li>{@link #MEDIA_ERROR_IO}
+         *            <li>{@link #MEDIA_ERROR_MALFORMED}
+         *            <li>{@link #MEDIA_ERROR_UNSUPPORTED}
+         *            <li>{@link #MEDIA_ERROR_TIMED_OUT}
+         *            </ul>
          * @return True if the method handled the error, false if it didn't.
-         * Returning false, or not having an OnErrorListener at all, will
-         * cause the OnCompletionListener to be called.
+         *         Returning false, or not having an OnErrorListener at all,
+         *         will cause the OnCompletionListener to be called.
          */
         boolean onError(MediaPlayer mp, int what, int extra);
     }
 
     /**
-     * Register a callback to be invoked when an error has happened
-     * during an asynchronous operation.
-     *
+     * Register a callback to be invoked when an error has happened during an
+     * asynchronous operation.
+     * 
      * @param listener the callback that will be run
      */
     public void setOnErrorListener(OnErrorListener listener)
@@ -2612,119 +4029,143 @@
 
     private OnErrorListener mOnErrorListener;
 
-
-    /* Do not change these values without updating their counterparts
-     * in include/media/mediaplayer.h!
+    /*
+     * Do not change these values without updating their counterparts in
+     * include/media/mediaplayer.h!
      */
-    /** Unspecified media player info.
+    /**
+     * Unspecified media player info.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_UNKNOWN = 1;
 
-    /** The player was started because it was used as the next player for another
+    /**
+     * The player was started because it was used as the next player for another
      * player, which just completed playback.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      * @hide
      */
     public static final int MEDIA_INFO_STARTED_AS_NEXT = 2;
 
-    /** The player just pushed the very first video frame for rendering.
+    /**
+     * The player just pushed the very first video frame for rendering.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_VIDEO_RENDERING_START = 3;
 
-    /** The video is too complex for the decoder: it can't decode frames fast
-     *  enough. Possibly only the audio plays fine at this stage.
+    /**
+     * The video is too complex for the decoder: it can't decode frames fast
+     * enough. Possibly only the audio plays fine at this stage.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_VIDEO_TRACK_LAGGING = 700;
 
-    /** MediaPlayer is temporarily pausing playback internally in order to
-     * buffer more data.
+    /**
+     * MediaPlayer is temporarily pausing playback internally in order to buffer
+     * more data.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_BUFFERING_START = 701;
 
-    /** MediaPlayer is resuming playback after filling buffers.
+    /**
+     * MediaPlayer is resuming playback after filling buffers.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_BUFFERING_END = 702;
 
-    /** Bad interleaving means that a media has been improperly interleaved or
+    /**
+     * Bad interleaving means that a media has been improperly interleaved or
      * not interleaved at all, e.g has all the video samples first then all the
      * audio ones. Video is playing but a lot of disk seeks may be happening.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_BAD_INTERLEAVING = 800;
 
-    /** The media cannot be seeked (e.g live stream)
+    /**
+     * The media cannot be seeked (e.g live stream)
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_NOT_SEEKABLE = 801;
 
-    /** A new set of metadata is available.
+    /**
+     * A new set of metadata is available.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_METADATA_UPDATE = 802;
 
-    /** A new set of external-only metadata is available.  Used by
-     *  JAVA framework to avoid triggering track scanning.
+    /**
+     * A new set of external-only metadata is available. Used by JAVA framework
+     * to avoid triggering track scanning.
+     * 
      * @hide
      */
     public static final int MEDIA_INFO_EXTERNAL_METADATA_UPDATE = 803;
 
-    /** Failed to handle timed text track properly.
-     * @see android.media.MediaPlayer.OnInfoListener
-     *
-     * {@hide}
+    /**
+     * Failed to handle timed text track properly.
+     * 
+     * @see android.media.MediaPlayer.OnInfoListener {@hide}
      */
     public static final int MEDIA_INFO_TIMED_TEXT_ERROR = 900;
 
-    /** Subtitle track was not supported by the media framework.
+    /**
+     * Subtitle track was not supported by the media framework.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_UNSUPPORTED_SUBTITLE = 901;
 
-    /** Reading the subtitle track takes too long.
+    /**
+     * Reading the subtitle track takes too long.
+     * 
      * @see android.media.MediaPlayer.OnInfoListener
      */
     public static final int MEDIA_INFO_SUBTITLE_TIMED_OUT = 902;
 
     /**
-     * Interface definition of a callback to be invoked to communicate some
-     * info and/or warning about the media or its playback.
+     * Interface definition of a callback to be invoked to communicate some info
+     * and/or warning about the media or its playback.
      */
     public interface OnInfoListener
     {
         /**
          * Called to indicate an info or a warning.
-         *
-         * @param mp      the MediaPlayer the info pertains to.
-         * @param what    the type of info or warning.
-         * <ul>
-         * <li>{@link #MEDIA_INFO_UNKNOWN}
-         * <li>{@link #MEDIA_INFO_VIDEO_TRACK_LAGGING}
-         * <li>{@link #MEDIA_INFO_VIDEO_RENDERING_START}
-         * <li>{@link #MEDIA_INFO_BUFFERING_START}
-         * <li>{@link #MEDIA_INFO_BUFFERING_END}
-         * <li>{@link #MEDIA_INFO_BAD_INTERLEAVING}
-         * <li>{@link #MEDIA_INFO_NOT_SEEKABLE}
-         * <li>{@link #MEDIA_INFO_METADATA_UPDATE}
-         * <li>{@link #MEDIA_INFO_UNSUPPORTED_SUBTITLE}
-         * <li>{@link #MEDIA_INFO_SUBTITLE_TIMED_OUT}
-         * </ul>
+         * 
+         * @param mp the MediaPlayer the info pertains to.
+         * @param what the type of info or warning.
+         *            <ul>
+         *            <li>{@link #MEDIA_INFO_UNKNOWN}
+         *            <li>{@link #MEDIA_INFO_VIDEO_TRACK_LAGGING}
+         *            <li>{@link #MEDIA_INFO_VIDEO_RENDERING_START}
+         *            <li>{@link #MEDIA_INFO_BUFFERING_START}
+         *            <li>{@link #MEDIA_INFO_BUFFERING_END}
+         *            <li>{@link #MEDIA_INFO_BAD_INTERLEAVING}
+         *            <li>{@link #MEDIA_INFO_NOT_SEEKABLE}
+         *            <li>{@link #MEDIA_INFO_METADATA_UPDATE}
+         *            <li>{@link #MEDIA_INFO_UNSUPPORTED_SUBTITLE}
+         *            <li>{@link #MEDIA_INFO_SUBTITLE_TIMED_OUT}
+         *            </ul>
          * @param extra an extra code, specific to the info. Typically
-         * implementation dependent.
+         *            implementation dependent.
          * @return True if the method handled the info, false if it didn't.
-         * Returning false, or not having an OnErrorListener at all, will
-         * cause the info to be discarded.
+         *         Returning false, or not having an OnErrorListener at all,
+         *         will cause the info to be discarded.
          */
         boolean onInfo(MediaPlayer mp, int what, int extra);
     }
 
     /**
      * Register a callback to be invoked when an info/warning is available.
-     *
+     * 
      * @param listener the callback that will be run
      */
     public void setOnInfoListener(OnInfoListener listener)
@@ -2738,8 +4179,7 @@
      * Test whether a given video scaling mode is supported.
      */
     private boolean isVideoScalingModeSupported(int mode) {
-        return (mode == VIDEO_SCALING_MODE_SCALE_TO_FIT ||
-                mode == VIDEO_SCALING_MODE_SCALE_TO_FIT_WITH_CROPPING);
+        return (mode == VIDEO_SCALING_MODE_SCALE_TO_FIT || mode == VIDEO_SCALING_MODE_SCALE_TO_FIT_WITH_CROPPING);
     }
 
     private Context mProxyContext = null;
@@ -2752,7 +4192,7 @@
         mProxyContext = context;
 
         Intent currentProxy =
-            context.getApplicationContext().registerReceiver(mProxyReceiver, filter);
+                context.getApplicationContext().registerReceiver(mProxyReceiver, filter);
 
         if (currentProxy != null) {
             handleProxyBroadcast(currentProxy);
@@ -2775,7 +4215,7 @@
 
     private void handleProxyBroadcast(Intent intent) {
         ProxyProperties props =
-            (ProxyProperties)intent.getExtra(Proxy.EXTRA_PROXY_INFO);
+                (ProxyProperties) intent.getExtra(Proxy.EXTRA_PROXY_INFO);
 
         if (props == null || props.getHost() == null) {
             updateProxyConfig(null);
@@ -2801,7 +4241,7 @@
         private static final String TAG = "MTP";
         private static final long MAX_NS_WITHOUT_POSITION_CHECK = 5000000000L;
         private static final long MAX_EARLY_CALLBACK_US = 1000;
-        private static final long TIME_ADJUSTMENT_RATE = 2;  /* meaning 1/2 */
+        private static final long TIME_ADJUSTMENT_RATE = 2; /* meaning 1/2 */
         private long mLastTimeUs = 0;
         private MediaPlayer mPlayer;
         private boolean mPaused = true;
@@ -2838,10 +4278,10 @@
 
             Looper looper;
             if ((looper = Looper.myLooper()) == null &&
-                (looper = Looper.getMainLooper()) == null) {
+                    (looper = Looper.getMainLooper()) == null) {
                 // Create our own looper here in case MP was created without one
                 mHandlerThread = new HandlerThread("MediaPlayerMTPEventThread",
-                      Process.THREAD_PRIORITY_FOREGROUND);
+                        Process.THREAD_PRIORITY_FOREGROUND);
                 mHandlerThread.start();
                 looper = mHandlerThread.getLooper();
             }
@@ -2860,7 +4300,8 @@
                 return;
             }
 
-            if (DEBUG) Log.v(TAG, "scheduleNotification " + type + " in " + delayUs);
+            if (DEBUG)
+                Log.v(TAG, "scheduleNotification " + type + " in " + delayUs);
             mEventHandler.removeMessages(NOTIFY);
             Message msg = mEventHandler.obtainMessage(NOTIFY, type, 0);
             mEventHandler.sendMessageDelayed(msg, (int) (delayUs / 1000));
@@ -2884,14 +4325,15 @@
 
         /** @hide */
         public void onPaused(boolean paused) {
-            synchronized(this) {
-                if (DEBUG) Log.d(TAG, "onPaused: " + paused);
+            synchronized (this) {
+                if (DEBUG)
+                    Log.d(TAG, "onPaused: " + paused);
                 if (mStopped) { // handle as seek if we were stopped
                     mStopped = false;
                     mSeeking = true;
                     scheduleNotification(NOTIFY_SEEK, 0 /* delay */);
                 } else {
-                    mPausing = paused;  // special handling if player disappeared
+                    mPausing = paused; // special handling if player disappeared
                     mSeeking = false;
                     scheduleNotification(REFRESH_AND_NOTIFY_TIME, 0 /* delay */);
                 }
@@ -2900,8 +4342,9 @@
 
         /** @hide */
         public void onStopped() {
-            synchronized(this) {
-                if (DEBUG) Log.d(TAG, "onStopped");
+            synchronized (this) {
+                if (DEBUG)
+                    Log.d(TAG, "onStopped");
                 mPaused = true;
                 mStopped = true;
                 mSeeking = false;
@@ -2912,7 +4355,7 @@
         /** @hide */
         @Override
         public void onSeekComplete(MediaPlayer mp) {
-            synchronized(this) {
+            synchronized (this) {
                 mStopped = false;
                 mSeeking = true;
                 scheduleNotification(NOTIFY_SEEK, 0 /* delay */);
@@ -2922,7 +4365,7 @@
         /** @hide */
         public void onNewPlayer() {
             if (mRefresh) {
-                synchronized(this) {
+                synchronized (this) {
                     mStopped = false;
                     mSeeking = true;
                     scheduleNotification(NOTIFY_SEEK, 0 /* delay */);
@@ -2934,9 +4377,10 @@
             mSeeking = false;
             try {
                 long timeUs = getCurrentTimeUs(true, false);
-                if (DEBUG) Log.d(TAG, "onSeekComplete at " + timeUs);
+                if (DEBUG)
+                    Log.d(TAG, "onSeekComplete at " + timeUs);
 
-                for (MediaTimeProvider.OnMediaTimeListener listener: mListeners) {
+                for (MediaTimeProvider.OnMediaTimeListener listener : mListeners) {
                     if (listener == null) {
                         break;
                     }
@@ -2944,14 +4388,15 @@
                 }
             } catch (IllegalStateException e) {
                 // we should not be there, but at least signal pause
-                if (DEBUG) Log.d(TAG, "onSeekComplete but no player");
-                mPausing = true;  // special handling if player disappeared
+                if (DEBUG)
+                    Log.d(TAG, "onSeekComplete but no player");
+                mPausing = true; // special handling if player disappeared
                 notifyTimedEvent(false /* refreshTime */);
             }
         }
 
         private synchronized void notifyStop() {
-            for (MediaTimeProvider.OnMediaTimeListener listener: mListeners) {
+            for (MediaTimeProvider.OnMediaTimeListener listener : mListeners) {
                 if (listener == null) {
                     break;
                 }
@@ -2970,7 +4415,7 @@
             // new listener
             if (i >= mListeners.length) {
                 MediaTimeProvider.OnMediaTimeListener[] newListeners =
-                    new MediaTimeProvider.OnMediaTimeListener[i + 1];
+                        new MediaTimeProvider.OnMediaTimeListener[i + 1];
                 long[] newTimes = new long[i + 1];
                 System.arraycopy(mListeners, 0, newListeners, 0, mListeners.length);
                 System.arraycopy(mTimes, 0, newTimes, 0, mTimes.length);
@@ -2987,16 +4432,18 @@
 
         public void notifyAt(
                 long timeUs, MediaTimeProvider.OnMediaTimeListener listener) {
-            synchronized(this) {
-                if (DEBUG) Log.d(TAG, "notifyAt " + timeUs);
+            synchronized (this) {
+                if (DEBUG)
+                    Log.d(TAG, "notifyAt " + timeUs);
                 mTimes[registerListener(listener)] = timeUs;
                 scheduleNotification(NOTIFY_TIME, 0 /* delay */);
             }
         }
 
         public void scheduleUpdate(MediaTimeProvider.OnMediaTimeListener listener) {
-            synchronized(this) {
-                if (DEBUG) Log.d(TAG, "scheduleUpdate");
+            synchronized (this) {
+                if (DEBUG)
+                    Log.d(TAG, "scheduleUpdate");
                 int i = registerListener(listener);
 
                 if (mStopped) {
@@ -3010,7 +4457,7 @@
 
         public void cancelNotifications(
                 MediaTimeProvider.OnMediaTimeListener listener) {
-            synchronized(this) {
+            synchronized (this) {
                 int i = 0;
                 for (; i < mListeners.length; i++) {
                     if (mListeners[i] == listener) {
@@ -3053,11 +4500,12 @@
                 sb.append("notifyTimedEvent(").append(mLastTimeUs).append(" -> ")
                         .append(nowUs).append(") from {");
                 boolean first = true;
-                for (long time: mTimes) {
+                for (long time : mTimes) {
                     if (time == NO_TIME) {
                         continue;
                     }
-                    if (!first) sb.append(", ");
+                    if (!first)
+                        sb.append(", ");
                     sb.append(time);
                     first = false;
                 }
@@ -3066,7 +4514,7 @@
             }
 
             Vector<MediaTimeProvider.OnMediaTimeListener> activatedListeners =
-                new Vector<MediaTimeProvider.OnMediaTimeListener>();
+                    new Vector<MediaTimeProvider.OnMediaTimeListener>();
             for (int ix = 0; ix < mTimes.length; ix++) {
                 if (mListeners[ix] == null) {
                     break;
@@ -3075,7 +4523,8 @@
                     // ignore, unless we were stopped
                 } else if (mTimes[ix] <= nowUs + MAX_EARLY_CALLBACK_US) {
                     activatedListeners.add(mListeners[ix]);
-                    if (DEBUG) Log.d(TAG, "removed");
+                    if (DEBUG)
+                        Log.d(TAG, "removed");
                     mTimes[ix] = NO_TIME;
                 } else if (nextTimeUs == nowUs || mTimes[ix] < nextTimeUs) {
                     nextTimeUs = mTimes[ix];
@@ -3084,14 +4533,15 @@
 
             if (nextTimeUs > nowUs && !mPaused) {
                 // schedule callback at nextTimeUs
-                if (DEBUG) Log.d(TAG, "scheduling for " + nextTimeUs + " and " + nowUs);
+                if (DEBUG)
+                    Log.d(TAG, "scheduling for " + nextTimeUs + " and " + nowUs);
                 scheduleNotification(NOTIFY_TIME, nextTimeUs - nowUs);
             } else {
                 mEventHandler.removeMessages(NOTIFY);
                 // no more callbacks
             }
 
-            for (MediaTimeProvider.OnMediaTimeListener listener: activatedListeners) {
+            for (MediaTimeProvider.OnMediaTimeListener listener : activatedListeners) {
                 listener.onTimedEvent(nowUs);
             }
         }
@@ -3104,7 +4554,7 @@
                 mLastReportedTime = mLastTimeUs + timeSinceRead;
                 if (mTimeAdjustment > 0) {
                     long adjustment =
-                        mTimeAdjustment - timeSinceRead / TIME_ADJUSTMENT_RATE;
+                            mTimeAdjustment - timeSinceRead / TIME_ADJUSTMENT_RATE;
                     if (adjustment <= 0) {
                         mTimeAdjustment = 0;
                     } else {
@@ -3118,7 +4568,8 @@
         public long getCurrentTimeUs(boolean refreshTime, boolean monotonic)
                 throws IllegalStateException {
             synchronized (this) {
-                // we always refresh the time when the paused-state changes, because
+                // we always refresh the time when the paused-state changes,
+                // because
                 // we expect to have received the pause-change event delayed.
                 if (mPaused && !refreshTime) {
                     return mLastReportedTime;
@@ -3130,14 +4581,17 @@
                     try {
                         mLastTimeUs = mPlayer.getCurrentPosition() * 1000L;
                         mPaused = !mPlayer.isPlaying();
-                        if (DEBUG) Log.v(TAG, (mPaused ? "paused" : "playing") + " at " + mLastTimeUs);
+                        if (DEBUG)
+                            Log.v(TAG, (mPaused ? "paused" : "playing") + " at " + mLastTimeUs);
                     } catch (IllegalStateException e) {
                         if (mPausing) {
                             // if we were pausing, get last estimated timestamp
                             mPausing = false;
                             getEstimatedTime(nanoTime, monotonic);
                             mPaused = true;
-                            if (DEBUG) Log.d(TAG, "illegal state, but pausing: estimating at " + mLastReportedTime);
+                            if (DEBUG)
+                                Log.d(TAG, "illegal state, but pausing: estimating at "
+                                        + mLastReportedTime);
                             return mLastReportedTime;
                         }
                         // TODO get time when prepared
@@ -3148,8 +4602,10 @@
                         /* have to adjust time */
                         mTimeAdjustment = mLastReportedTime - mLastTimeUs;
                         if (mTimeAdjustment > 1000000) {
-                            // schedule seeked event if time jumped significantly
-                            // TODO: do this properly by introducing an exception
+                            // schedule seeked event if time jumped
+                            // significantly
+                            // TODO: do this properly by introducing an
+                            // exception
                             mStopped = false;
                             mSeeking = true;
                             scheduleNotification(NOTIFY_SEEK, 0 /* delay */);
@@ -3172,18 +4628,18 @@
             public void handleMessage(Message msg) {
                 if (msg.what == NOTIFY) {
                     switch (msg.arg1) {
-                    case NOTIFY_TIME:
-                        notifyTimedEvent(false /* refreshTime */);
-                        break;
-                    case REFRESH_AND_NOTIFY_TIME:
-                        notifyTimedEvent(true /* refreshTime */);
-                        break;
-                    case NOTIFY_STOP:
-                        notifyStop();
-                        break;
-                    case NOTIFY_SEEK:
-                        notifySeek();
-                        break;
+                        case NOTIFY_TIME:
+                            notifyTimedEvent(false /* refreshTime */);
+                            break;
+                        case REFRESH_AND_NOTIFY_TIME:
+                            notifyTimedEvent(true /* refreshTime */);
+                            break;
+                        case NOTIFY_STOP:
+                            notifyStop();
+                            break;
+                        case NOTIFY_SEEK:
+                            notifySeek();
+                            break;
                     }
                 }
             }
